com.intellectualcrafters.plot.commands

## Class MainCommand

- java.lang.Object
- - com.intellectualcrafters.plot.commands.MainCommand

- All Implemented Interfaces:
    org.bukkit.command.CommandExecutor, org.bukkit.command.TabCompleter

      public class MainCommand
      extends java.lang.Object
      implements org.bukkit.command.CommandExecutor, org.bukkit.command.TabCompleter

  PlotMain command class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MAIN_PERMISSION`
    `static java.util.ArrayList<SubCommand>` | `subCommands`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<SubCommand>` | `getCommands(SubCommand.CommandCategory category, org.bukkit.entity.Player player)`
    `static java.util.List<java.lang.String>` | `helpMenu(org.bukkit.entity.Player player, SubCommand.CommandCategory category, int page)`
    `static boolean` | `no_permission(org.bukkit.entity.Player player, java.lang.String permission)`
    `boolean` | `onCommand(org.bukkit.command.CommandSender sender, org.bukkit.command.Command cmd, java.lang.String commandLabel, java.lang.String[] args)`
    `java.util.List<java.lang.String>` | `onTabComplete(org.bukkit.command.CommandSender commandSender, org.bukkit.command.Command command, java.lang.String s, java.lang.String[] strings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAIN_PERMISSION

          public static final java.lang.String MAIN_PERMISSION

      See Also:
        Constant Field Values

    - #### subCommands

          public static java.util.ArrayList<SubCommand> subCommands

  - ### Constructor Detail

    - #### MainCommand

          public MainCommand()

  - ### Method Detail

    - #### no_permission

          public static boolean no_permission(org.bukkit.entity.Player player,
                              java.lang.String permission)

    - #### getCommands

          public static java.util.List<SubCommand> getCommands(SubCommand.CommandCategory category,
                                               org.bukkit.entity.Player player)

    - #### helpMenu

          public static java.util.List<java.lang.String> helpMenu(org.bukkit.entity.Player player,
                                                  SubCommand.CommandCategory category,
                                                  int page)

    - #### onCommand

          public boolean onCommand(org.bukkit.command.CommandSender sender,
                          org.bukkit.command.Command cmd,
                          java.lang.String commandLabel,
                          java.lang.String[] args)

      Specified by:
        `onCommand` in interface `org.bukkit.command.CommandExecutor`

    - #### onTabComplete

          public java.util.List<java.lang.String> onTabComplete(org.bukkit.command.CommandSender commandSender,
                                                       org.bukkit.command.Command command,
                                                       java.lang.String s,
                                                       java.lang.String[] strings)

      Specified by:
        `onTabComplete` in interface `org.bukkit.command.TabCompleter`